Bug 254761 - devel/simavr: update to 1.7
Summary: devel/simavr: update to 1.7
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Neel Chauhan
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2021-04-04 11:34 UTC by Felix Palmen
Modified: 2021-04-07 17:04 UTC (History)
1 user (show)

See Also:


Attachments
update simavr to 1.7 (9.44 KB, patch)
2021-04-04 11:34 UTC, Felix Palmen
no flags Details | Diff
update simavr to 1.7 (9.51 KB, patch)
2021-04-04 12:05 UTC, Felix Palmen
no flags Details | Diff
update simavr to 1.7 (9.51 KB, patch)
2021-04-06 07:11 UTC, Felix Palmen
felix: maintainer-approval+
Details | Diff
update simavr to 1.7 (8.05 KB, patch)
2021-04-06 10:10 UTC, Felix Palmen
felix: maintainer-approval+
Details | Diff
update simavr to 1.7 (8.06 KB, patch)
2021-04-06 10:13 UTC, Felix Palmen
felix: maintainer-approval+
Details | Diff
update simavr to 1.7 (8.14 KB, patch)
2021-04-07 08:46 UTC, Felix Palmen
felix: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Palmen 2021-04-04 11:34:59 UTC
Created attachment 223799 [details]
update simavr to 1.7

New upstream version.

Build tested on 14-amd64 and 13-amd64 so far. Package works fine on 13.0-RC5.
Comment 1 Felix Palmen 2021-04-04 12:05:03 UTC
Created attachment 223800 [details]
update simavr to 1.7

fixed a regression: correct version strings were missing in pkg-config files
Comment 2 Automation User 2021-04-04 13:53:55 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/281199743
Comment 3 Felix Palmen 2021-04-06 07:11:32 UTC
Created attachment 223847 [details]
update simavr to 1.7

Slightly changed wording in the comment about install targets (be nice)

poudriere testport successful on 11.4-i386 as well, therefore now approving my own patch.
Comment 4 Felix Palmen 2021-04-06 10:10:01 UTC
Created attachment 223852 [details]
update simavr to 1.7

Recreated patch with git (might be better to apply now?)
Comment 5 Felix Palmen 2021-04-06 10:13:14 UTC
Created attachment 223853 [details]
update simavr to 1.7

And fix accidentally reverted comment wording change in the git patch, sorry…
Comment 6 Felix Palmen 2021-04-07 08:46:52 UTC
Created attachment 223891 [details]
update simavr to 1.7

Patch rebased to account for recent removal of $FreeBSD$
Comment 7 Neel Chauhan freebsd_committer 2021-04-07 17:04:24 UTC
Committed!
Comment 8 commit-hook freebsd_committer 2021-04-07 17:04:45 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=fb112c136235ffd38e30f82ceef20820d9a495be

commit fb112c136235ffd38e30f82ceef20820d9a495be
Author:     Neel Chauhan <nc@FreeBSD.org>
AuthorDate: 2021-04-07 17:03:03 +0000
Commit:     Neel Chauhan <nc@FreeBSD.org>
CommitDate: 2021-04-07 17:03:03 +0000

    devel/simavr: update to 1.7

    PR:             254761
    Submitted by:   Felix Palmen <felix AT palmen-it DOT de> (maintainer)

 devel/simavr/Makefile                              | 26 ++++++++++-------
 devel/simavr/distinfo                              | 12 ++------
 devel/simavr/files/patch-Makefile (gone)           | 12 --------
 .../files/patch-examples_parts_Makefile (gone)     | 12 --------
 devel/simavr/files/patch-simavr_Makefile (gone)    | 34 ----------------------
 .../files/patch-simavr_sim_run__avr.c (gone)       | 11 -------
 devel/simavr/pkg-plist                             |  9 ++++++
 7 files changed, 27 insertions(+), 89 deletions(-)